package UI_Converter.adminrequest;

import org.xml.sax.Attributes;
import UI_Converter.util.Element;
import UI_Converter.common.Tag;
import UI_Converter.util.Conversion;
import java.io.ByteArrayOutputStream;

public class IconId extends Element
{
   private byte[] content;

   public IconId(Attributes atts)
   {
      super();
      setTagValue(Tag.ICON_ID);

	  content = new byte[2];

	  String qualifier = atts.getValue("qualifier");
	  if (qualifier !=null)
	  {
		  content[0] = Conversion.hexaStringToByte(qualifier);
	  }

	  String identifier = atts.getValue("identifier");
	  if (identifier != null)
	  {
		  content[1] = Conversion.hexaStringToByte(identifier);
	  }
   }

   public int generate(ByteArrayOutputStream buffer)
   {
		setValue(content);
		return super.generate(buffer);
   }

}