package UI_Converter.bytecode;

/**
 * The Coding class contains constants related to the value type information.
 *
 * @author Philippe Sidler (SchlumbergerSema, sidler@montrouge.sema.slb.com)
 *
 * @see 3GPP TS 31.113 V5.0.0
 */
public class Coding {
   public static final int UNKNOWN    = 0x00;
   public static final int SMS        = 0x01;
   public static final int SMS_PACKED = 0x02;
   public static final int BINARY     = 0x03;
   public static final int UCS2       = 0x04;
}