package UI_Converter.bytecode;

import org.xml.sax.Attributes;
import UI_Converter.common.Tag;
import UI_Converter.util.Conversion;
import UI_Converter.util.Element;

public class NavigationUnit extends Element
{

	public NavigationUnit(Attributes atts)
	{
		super();
		setTagValue(Tag.NAVIGATION_UNIT);

		//handle the attribute "resetVar"
		if (atts.getValue("reset-var")!=null)
			if (Conversion.yesNoStringToBoolean(atts.getValue("reset-var"))) setAttribute(Attribute.NavigationUnit.RESET_VAR);

		//handle the attribute "DoNotHistorize"
		if (atts.getValue("do-not-historize")!=null)
			if (Conversion.yesNoStringToBoolean(atts.getValue("do-not-historize"))) setAttribute(Attribute.NavigationUnit.DO_NOT_HISTORIZE);

		//handle the attribute "chain-next-NU"
		if (atts.getValue("chain-next-nu")!=null)
			if (Conversion.yesNoStringToBoolean(atts.getValue("chain-next-nu"))) setAttribute(Attribute.NavigationUnit.CHAIN_NEXT_NU);

		//handle the attribute "do-not-inherit-trh"
		if (atts.getValue("do-not-inherit-trh")!=null)
			if (Conversion.yesNoStringToBoolean(atts.getValue("do-not-inherit-trh"))) setAttribute(Attribute.NavigationUnit.DO_NOT_INHERIT_TERMINAL_RESPONSE_HANDLER_CONFIGURATION);
	}


}