package UI_Converter.bytecode;

import UI_Converter.common.Tag;
import UI_Converter.util.Element;

/**
 * A VariableIdentifierList object stores the content of the
 * variable-identifier-list XML element and generates the corresponding Varible
 * Identifier List UI-TLV.
 *
 *
 * @see 3GPP TS XX.YYY V0.0.1
 * @see 3GPP TS 31.113 V5.0.0
 */
public class VariableIdentifierList extends Element {
   /**
    * Create a new VariableIdentifierList object.
    */
   public VariableIdentifierList() {
      setTagValue(Tag.VARIABLE_IDENTIFIER_LIST);
   }
}