package UI_Converter.uimemsg;

import org.xml.sax.Attributes;
import UI_Converter.common.Tag;
import UI_Converter.util.Element;
import UI_Converter.util.Conversion;

public class Result extends Element
{

	public Result(Attributes atts)
	{
		super();
		setTagValue(Tag.RESULT);

		//handle the attributes "general-result" and "additional-information"
		value = Conversion.hexaStringToBytes(atts.getValue("general-result") + atts.getValue("additional-information"));
	}
}