package UI_Converter.uimemsg;

import java.io.ByteArrayOutputStream;
import UI_Converter.util.Element;
import UI_Converter.uimemsg.APDU;

public class TerminalResponse extends Element
{

	public TerminalResponse()
	{
		super();
		value = APDU.APDU_TERMINAL_RESPONSE;
	}

	public int generate(ByteArrayOutputStream buffer)
	{
		// Generate APDU data
		int length = generateChildrenElements(buffer);
		// Generate P3 (length of APDU data)
		buffer.write(length);
		length++;
		// Genrerate Class, Ins, P1 and P2
		length += generateValue(buffer);
		return length;
   }
}
