package UI_Converter.uimemsg;

import org.xml.sax.Attributes;
import UI_Converter.common.Tag;
import UI_Converter.util.Element;
import UI_Converter.util.Conversion;
import UI_Converter.uimemsg.ProactiveConstants;

public class TextString extends Element {

	private byte DCS;

	public TextString(Attributes atts) {

		setTagValue(Tag.TEXT_STRING);

		//handling of the attribute "DCS"
		String GetDCS = atts.getValue("DCS");
		if		(GetDCS.equals("sms"))			DCS = ProactiveConstants.DCS_SMS_UNPACKED;
		else if	(GetDCS.equals("sms-packed"))	DCS = ProactiveConstants.DCS_SMS_PACKED;
		else if	(GetDCS.equals("ucs2"))			DCS = ProactiveConstants.DCS_UCS2;
	}

	public void setValue(String s)
	{
		value = Conversion.hexaStringToBytes(Conversion.byteToHexaString(DCS) + s);
	}
}