package UI_Converter.adminrequest;

import java.io.ByteArrayOutputStream;
import org.xml.sax.Attributes;
import UI_Converter.util.Element;
import UI_Converter.util.Conversion;

public class Parameter extends Element
{
	private byte index;

	public Parameter(Attributes atts)
	{
		super();
		index = Conversion.hexaStringToByte(atts.getValue("index"));
	}

	public int generate(ByteArrayOutputStream buffer) {
		int length =generateValue(buffer);
		length += generateBERTLVLength(length, buffer);
		buffer.write(index);
		return(++length);
	}

	public void setValue(String s)
	{
		value = Conversion.hexaStringToBytes(s);
	}
}