package UI_Converter.adminresponse;

import org.xml.sax.Attributes;
import UI_Converter.util.Element;
import UI_Converter.common.Tag;
import UI_Converter.adminresponse.AdminConstants;

public class AdminResult extends Element
{

   public AdminResult(Attributes atts)
   {
      super();
      setTagValue(Tag.ADMIN_RESULT);
	  
	//int error=0;
	byte[] errorBA= new byte[2];
	errorBA[0] = 0x00;	

	  String errorS =atts.getValue("result-code");

	  if ((errorS==null) || errorS.equals("no-error"))
	  {
		  errorBA[1]=0x00;
	  }
	  else
	  {
		errorBA[0] = 0x6F;
	  if (errorS.equals("memory-mgmt")) errorBA[1]= AdminConstants.ERROR_MEMORY_MGT;
	  else
	  if (errorS.equals("security")) errorBA[1]= AdminConstants.ERROR_SECURITY;
	  else
	  if (errorS.equals("ref-undef")) errorBA[1]= AdminConstants.ERROR_REF_TO_UNDEFINED;
	  else
	  if (errorS.equals("cmd-not-allowed")) errorBA[1]= AdminConstants.ERROR_USAT_CMD_NOT_ALLOWED;
	  else
	  if (errorS.equals("config-change-not-allowed")) errorBA[1]= AdminConstants.ERROR_MODIFY_CONF_NOT_ALLOWED;
	  else
	  if (errorS.equals("no-memory")) errorBA[1]= AdminConstants.ERROR_NOT_ENOUGH_MEMORY;
	  else
	  if (errorS.equals("cmd-unknown")) errorBA[1]= AdminConstants.ERROR_ADMIN_CMD_NOT_KNOWN;
	  else
	  if (errorS.equals("config-unavailable")) errorBA[1]= AdminConstants.ERROR_CONFIG_NOT_AVAILABLE;
	  else
	  if (errorS.equals("bad-tar")) errorBA[1]= AdminConstants.ERROR_BAD_TAR;
	  }
	
	  
	  setValue(errorBA);
   }


}