package UI_Converter.bytecode;

import org.xml.sax.Attributes;
import UI_Converter.util.Conversion;
import UI_Converter.util.Element;
import UI_Converter.common.Tag;

public class Action extends Element
{

	public Action(Attributes atts)
	{
		super();
		setTagValue(Tag.ACTION);

		//handling of the attribute "execution"
		String exec = atts.getValue("execution");
		if (exec!=null)
		{
			if (exec.equals("current")) setAttribute(Attribute.Action.EXECUTE);
		}

		//handling of the attribute "id"
		setValue(new String(Conversion.hexaStringToBytes(atts.getValue("id"))));
	}


}