package UI_Converter.bytecode;

import UI_Converter.common.Tag;
import UI_Converter.util.Element;

/**
 * An InputList object stores the content of the input-list XML element and
 * generates the corresponding Input List UI-TLV.
 *
 *
 * @see 3GPP TS XX.YYY V0.0.1
 * @see 3GPP TS 31.113 V5.0.0
 */
public class InputList extends Element {
   /**
    * Create a new InputList object.
    */
   public InputList() {
      setTagValue(Tag.INPUT_LIST);
   }
}