package UI_Converter.bytecode;

import org.xml.sax.Attributes;
import UI_Converter.common.Tag;
import UI_Converter.util.Conversion;
import UI_Converter.util.Element;

public class TrhModifier extends Element
{

	public TrhModifier(Attributes atts)
	{
		super();
		setTagValue(Tag.TERMINAL_RESPONSE_HANDLER_MODIFIER);

		int attributeByte=0;

		//handling of the attribute "type"
		int type = Attribute.TRHM.REPLACE;
		if (atts.getValue("type")!=null) 
		{
			if (atts.getValue("type").equals("add")	)			type = Attribute.TRHM.ADD;
			else if (atts.getValue("type").equals("restore"))	type = Attribute.TRHM.RESTORE;
			else if (atts.getValue("type").equals("remove"))	type = Attribute.TRHM.REMOVE;
		}
		setAttribute(Attribute.TRHM.MODIFICATION_TYPE_OFFSET, type);

		//handling of the attributes "general-result-low" and "general-result-high" 
		//setValue(Conversion.hexaStringToBytes(atts.getValue("general-result-low"))));
		//setValue(Conversion.hexaStringToBytes(atts.getValue("general-result-high"))));
		setValue(atts.getValue("general-result-low") + atts.getValue("general-result-high"));
	}
	
	public void setValue(String s)
	{
		value = Conversion.hexaStringToBytes(s);
	}

}
