package UI_Converter.bytecode;

import UI_Converter.util.Element;
import java.io.ByteArrayOutputStream;

/**
 * A USATCommandTLV object stores the content of the USAT-command-tlv XML
 * element and generates nothing.
 *
 *
 * @see 3GPP TS XX.YYY V0.0.1
 * @see 3GPP TS 31.113 V5.0.0
 */
public class USATCommandTLV extends Element {

	public USATCommandTLV()
	{
		super();
	
	}

	public int generate(ByteArrayOutputStream buffer) {
      // Only generate the children elements, i.e. simpleTLV or simpleTLVindicator.
      return generateChildrenElements(buffer);
   }
}
