package UI_Converter.securedmsg;


public class SecurityConstants {

	public static final int CPL_LENGTH		=2;
	public static final int CHL_LENGTH		=1;
	public static final int SPI_LENGTH		=2;
	public static final int TAR_LENGTH		=3;
	public static final int CNTR_LENGTH		=5;
	public static final int PCNTR_LENGTH	=1;
	public static final int KID_LENGTH		=1;
	public static final int KIC_LENGTH		=1;
	public static final int CC_LENGTH		=8;

	public static final int	CPL_INDEX		= 0;
	public static final int	CHL_INDEX		= CPL_INDEX + CPL_LENGTH;
	public static final int	SPI_INDEX		= CHL_INDEX + CHL_LENGTH;
	public static final int	KIC_INDEX		= SPI_INDEX + SPI_LENGTH;
	public static final int	KID_INDEX		= KIC_INDEX + KIC_LENGTH;
	public static final int	TAR_INDEX		= KID_INDEX + KID_LENGTH;
	public static final int	CNTR_INDEX		= TAR_INDEX + TAR_LENGTH;
	public static final int	PCNTR_INDEX		= CNTR_INDEX + CNTR_LENGTH;
	public static final int	CC_INDEX		= PCNTR_INDEX + PCNTR_LENGTH;
	public static final int	SD_INDEX		= CC_INDEX + CC_LENGTH;
   
	public static final int CIPHER_BLOCK_SIZE	= 8;
	public static final int DES_KEY_LENGTH		= 8;
	public static final int TDES_2KEY_LENGTH	= 16;
	public static final int TDES_3KEY_LENGTH	= 24;
}

