package UI_Converter.transport;

import org.xml.sax.Attributes;
import UI_Converter.util.Element;
import UI_Converter.common.Tag;
import UI_Converter.util.Conversion;

public class TransmissionBufferSize extends Element
{

	public TransmissionBufferSize()
	{
		super();
		setTagValue(Tag.TRANSMISSION_BUFFER_SIZE);	
	}


	public void setValue(String s)
	{      
		//attention : to avoid side effects due to the "trim", put the content directly in the Element
		value = Conversion.hexaStringToBytes(s);	  
	}
}