package UI_Converter.uimemsg;

import java.io.ByteArrayOutputStream;
import UI_Converter.util.Element;
import UI_Converter.uimemsg.APDU;
import UI_Converter.common.Tag;

public class EnvEventDownload extends Element
{

	public EnvEventDownload()
	{
		super();
		value = APDU.APDU_ENVELOPE;
	}

	public int generate(ByteArrayOutputStream buffer)
	{
		// Generate data (from event-list TLV to event-download-additional-information TLV)
		int length = generateChildrenElements(buffer);
		// Generate  data length
		length += generateBERTLVLength(length, buffer);
		// Generate envelope tag
		buffer.write(Tag.EVENT_DOWNLOAD);
		length++;
		// Generate P3 (length of APDU data)
		buffer.write(length);
		length++;
		// Genrerate Class, Ins, P1 and P2
		length += generateValue(buffer);
		return length;
   }
}
