package UI_Converter.uimemsg;


public class ProactiveConstants{

	// Type of command
	public static final byte	SET_UP_MENU_EVENT_LIST	= (byte)0x05;
	public static final byte	DISPLAY_TEXT			= (byte)0x21;
	public static final byte	GET_INPUT				= (byte)0x23;
	public static final byte	SELECT_ITEM				= (byte)0x24;
	public static final byte	SET_UP_MENU				= (byte)0x25;

	// Device identities
	public static final byte	KEYPAD					= 0x01;
	public static final byte	DISPLAY					= 0x02;
	public static final byte	EARPIECE				= 0x03;
	public static final byte	ADDITIONAL_CARD_READER0	= 0x10;
	public static final byte	CHANNEL1				= 0x21;
	public static final byte	UICC						= (byte)0x81;
	public static final byte	ME						= (byte)0x82;
	public static final byte	NETWORK					= (byte)0x83;

	// Event list
	public static final byte	MT_CALL					= 0x00;
	public static final byte	CALL_CONNECTED			= 0x01;
	public static final byte	CALL_DISCONNECTED		= 0x02;
	public static final byte	LOCATION_STATUS			= 0x03;
	public static final byte	USER_ACTIVITY			= 0x04;
	public static final byte	IDLE_SCREEN_AVAILABLE	= 0x05;
	public static final byte	CARD_READER_STATUS		= 0x06;
	public static final byte	LANGUAGE_SELECTION		= 0x07;
	public static final byte	BW_TERMINATION			= 0x08;
	public static final byte	DATA_AVAILABLE			= 0x09;
	public static final byte	CHANNEL_STATUS			= 0x0A;

	// Icon descriptor
	public static final byte	SELF_EXPLANATORY		= 0x00;
	public static final byte	NOT_SELF_EXPLANATORY	= 0x01;

	// Text string
	public static final byte	DCS_SMS_UNPACKED		= (byte)0xF4;
	public static final byte	DCS_SMS_PACKED			= (byte)0xF0;
	public static final byte	DCS_UCS2				= 0x08;
}