package UI_Converter.uimemsg;

import UI_Converter.util.Element;
import UI_Converter.common.Tag;
import java.io.ByteArrayOutputStream;
import UI_Converter.util.Conversion;
import UI_Converter.util.FileManager;

public class UiMeMsg extends Element
{
	public UiMeMsg()
	{
		super();
	}

	public int generate(ByteArrayOutputStream buffer)
	{
		// generate the children elements
		int length = generateChildrenElements(buffer);

		// print out the byte-code to the screen and to the output file
		byte bytecode[] = Conversion.reverseBytes(buffer.toByteArray());
		System.out.println ("The value of ui-me-msg is: " + Conversion.byteArrayToHexaString(bytecode));
		
		FileManager.InitOutputFile();
		FileManager.WriteInOutputFile(FileManager.LineSeparator);
		FileManager.WriteInOutputFile("The complete ui-me-msg is: ");
		FileManager.WriteInOutputFile(Conversion.byteArrayToHexaString(bytecode));
		FileManager.CloseInOutputFile();
		
		return length;
	}
}